Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api
Interface IHTMLRenderOption

All Superinterfaces:
  IRenderOption, ITaskOption

All Known Implementing Classes:
  HTMLEmitterConfig, HTMLRenderOption

    public interface IHTMLRenderOption

extends IRenderOption

Interface of constants of the HTML Render Opitons. This interface is implemented only by: HTMLRenderOption so far. The implementation classes should have the methods in order to support then HTML render options, including getter and setter.

Field Summary
`static java.lang.String` | `BASE_IMAGE_URL`
`static java.lang.String` | `HTML` Output a complete HTML
`static java.lang.String` | `HTML_DISPLAY_FILTER_ICON` Should the output display the filter icon.
`static java.lang.String` | `HTML_DISPLAY_GROUP_ICON` Should the output display the group icon.
`static java.lang.String` | `HTML_ENABLE_AGENTSTYLE_ENGINE` Should the HTML emitter output the BIRT styles directly to the report.
`static java.lang.String` | `HTML_ENABLE_INLINE_STYLE` Using inline style or not.
`static java.lang.String` | `HTML_ENABLE_METADATA` Should the output contain metadata.
`static java.lang.String` | `HTML_ID_NAMESPACE` HTMLIDNamespace is used to solve the name conflict problem when embedding multiple reports into one page.
`static java.lang.String` | `HTML_INCLUDE_SELECTION_HANDLE` Deprecated. use METADATA
`static java.lang.String` | `HTML_INDENT` whether or not the HTML is indented.
`static java.lang.String` | `HTML_LAYOUT_PREFERENCE` Should the table be outed as fixed.
`static java.lang.String` | `HTML_NOCSS` Output a HTML fragement without CSS defination.
`static java.lang.String` | `HTML_OUTPUT_MASTER_PAGE_MARGINS` Should the HTML emitter output the master page's margins.
`static java.lang.String` | `HTML_RTL_FLAG` Should we output HTML as RtL.
`static java.lang.String` | `HTML_TITLE` Output the HTML default title.
`static java.lang.String` | `HTML_TYPE` Define the type of the html content, it can be one of: HTML or HTML_NOCSS.
`static java.lang.String` | `HTML_WRAP_TEMPLATE_TABLE` Should the top-level template table be wrapped.
`static java.lang.String` | `IMAGE_DIRECTROY`
`static java.lang.String` | `INSTANCE_ID_LIST` The list used to contain the active object ids.
`static java.lang.String` | `LAYOUT_PREFERENCE_AUTO`
`static java.lang.String` | `LAYOUT_PREFERENCE_FIXED`
`static java.lang.String` | `MASTER_PAGE_CONTENT` Should the report contains page header and footer The value is a Boolean object, default is `Boolean.TRUE` Only effect if the HTML_Pagination is true
`static java.lang.String` | `METADATA_FILTER` A filter for metadata.
`static java.lang.String` | `PAGEFOOTER_FLOAT_FLAG` Floating the page footer.
`static java.lang.String` | `URL_ENCODING` for some case, the user needs to define the resource encoding.
`static java.lang.String` | `USER_AGENT` The agent used to render the html output.

Fields inherited from interface org.eclipse.birt.report.engine.api.IRenderOption
`ACTION_HANDLER, APP_BASE_URL, BASE_URL, CLOSE_OUTPUTSTREAM_ON_EXIT, EMITTER_ID, HTML_PAGINATION, IMAGE_HANDLER, LOCALE, OUTPUT_DISPLAY_NONE, OUTPUT_EMITTERID_HTML, OUTPUT_EMITTERID_PDF, OUTPUT_FILE_NAME, OUTPUT_FORMAT, OUTPUT_FORMAT_FO, OUTPUT_FORMAT_HTML, OUTPUT_FORMAT_PDF, OUTPUT_STREAM, RTL_FLAG, SUPPORTED_IMAGE_FORMATS`

Method Summary
`java.lang.String` | `getBaseImageURL()` returns the base url for creating image URL
`boolean` | `getDisplayFilterIcon()`
`boolean` | `getDisplayGroupIcon()`
`boolean` | `getEmbeddable()`
`boolean` | `getEnableMetadata()`
`boolean` | `getHtmlPagination()` Get Html pagination.
`boolean` | `getHtmlRtLFlag()` Get Html RTL flag.
`java.lang.String` | `getHtmlTitle()`
`java.lang.String` | `getImageDirectory()` returns the image directory that engine stores images and charts into
`boolean` | `getIncludeSelectionHandle()` Deprecated. includeSelectionHandle is replaced by eanableMetadata flag.
`java.util.List` | `getInstanceIDs()`
`boolean` | `getMasterPageContent()` Get master page content.
`boolean` | `getPageFooterFloatFlag()` Get page footer float flag.
`java.lang.String` | `getUrlEncoding()`
`java.lang.String` | `getUserAgent()`
`void` | `setBaseImageURL(java.lang.String baseImageURL)` sets the base image URL for image handling
`void` | `setDisplayFilterIcon(boolean displayFilterIcon)` Sets the flag indicationg that if filter icons should be displayed.
`void` | `setDisplayGroupIcon(boolean displayFilterIcon)` Sets the flag indicationg that if group expand/collapse icons should be displayed.
`void` | `setEmbeddable(boolean embeddable)` sets whether the HTML output can be embedded directly into an HTML page
`void` | `setEnableMetadata(boolean enableMetadata)` Sets the flag which indicating if metadata should be output.
`void` | `setHtmlPagination(boolean paginate)` Set Html pagination.
`void` | `setHtmlRtLFlag(boolean flag)` Set Html RTL flag.
`void` | `setHtmlTitle(java.lang.String htmlTitle)`
`void` | `setImageDirectory(java.lang.String imageDirectory)` sets the image directory that engine stores images and charts into
`void` | `setIncludeSelectionHandle(boolean option)` Deprecated. includeSelectionHandle is replaced by eanableMetadata flag.
`void` | `setInstanceIDs(java.util.List instanceIDs)`
`void` | `setMasterPageContent(boolean show)` Set master page content.
`void` | `setPageFooterFloatFlag(boolean flag)` Set page footer float flag.
`void` | `setUrlEncoding(java.lang.String encoding)`
`void` | `setUserAgent(java.lang.String userAgent)`

Methods inherited from interface org.eclipse.birt.report.engine.api.IRenderOption
`getActionHandle, getActionHandler, getAppBaseURL, getBaseURL, getEmitterID, getImageHandle, getImageHandler, getOutputFileName, getOutputFormat, getOutputSetting, getOutputStream, getSupportedImageFormats, setActionHandle, setActionHandler, setAppBaseURL, setBaseURL, setEmitterID, setImageHandle, setImageHandler, setOutputFileName, setOutputFormat, setOutputStream, setSupportedImageFormats`

Methods inherited from interface org.eclipse.birt.report.engine.api.ITaskOption
`getOption, getOptions, hasOption, setOption`

Field Detail

### HTML_TYPE

    static final java.lang.String HTML_TYPE

  Define the type of the html content, it can be one of: HTML or HTML_NOCSS.

  See Also:
    Constant Field Values

### HTML

    static final java.lang.String HTML

  Output a complete HTML

  See Also:
    Constant Field Values

### HTML_NOCSS

    static final java.lang.String HTML_NOCSS

  Output a HTML fragement without CSS defination.

  See Also:
    Constant Field Values

### USER_AGENT

    static final java.lang.String USER_AGENT

  The agent used to render the html output.

  See Also:
    Constant Field Values

### URL_ENCODING

    static final java.lang.String URL_ENCODING

  for some case, the user needs to define the resource encoding. It is used to encoding the hyperlinks which refers to the local resource. The value is a encode name, such as "utf-8".

  See Also:
    Constant Field Values

### INSTANCE_ID_LIST

    static final java.lang.String INSTANCE_ID_LIST

  The list used to contain the active object ids. The value is a List object. The active objects including: Tempalate, Table, Chart, Label. the object in the list is a string, which is : bookmark, type, id.

  See Also:
    Constant Field Values

### MASTER_PAGE_CONTENT

    static final java.lang.String MASTER_PAGE_CONTENT

  Should the report contains page header and footer The value is a Boolean object, default is `Boolean.TRUE` Only effect if the HTML_Pagination is true

  See Also:
    Constant Field Values

### HTML_INCLUDE_SELECTION_HANDLE

    static final java.lang.String HTML_INCLUDE_SELECTION_HANDLE

  Deprecated. use METADATA
  Should we output the selection handle with the active object. The value is a Boolean Object, the default is `Boolean.FALSE`.

  See Also:
    Constant Field Values

### HTML_RTL_FLAG

    static final java.lang.String HTML_RTL_FLAG

  Should we output HTML as RtL. The value is an Boolean Object, the default is `Boolean.FALSE`.

  See Also:
    Constant Field Values

### HTML_TITLE

    static final java.lang.String HTML_TITLE

  Output the HTML default title. value???

  See Also:
    Constant Field Values

### PAGEFOOTER_FLOAT_FLAG

    static final java.lang.String PAGEFOOTER_FLOAT_FLAG

  Floating the page footer. The value is an Boolean Object, the default is `Boolean.TRUE`. Only effect when HTML_PAGINATION is set to `Boolean.TRUE`

  See Also:
    Constant Field Values

### HTML_ENABLE_METADATA

    static final java.lang.String HTML_ENABLE_METADATA

  Should the output contain metadata. This value is a Boolean Object. And if it's set to be `Boolean.TRUE`., the output will contains metadata include: Instance id, type and so on The default value is `Boolean.FALSE`

  See Also:
    Constant Field Values

### HTML_DISPLAY_FILTER_ICON

    static final java.lang.String HTML_DISPLAY_FILTER_ICON

  Should the output display the filter icon. Only effect if the enable metadata is setting to `Boolea.TRUE`. The default value is `Boolean.FALSE`

  See Also:
    Constant Field Values

### HTML_DISPLAY_GROUP_ICON

    static final java.lang.String HTML_DISPLAY_GROUP_ICON

  Should the output display the group icon. Only effect if the enable metadata is setting to `Boolea.TRUE`. The default value is `Boolean.FALSE`

  See Also:
    Constant Field Values

### IMAGE_DIRECTROY

    static final java.lang.String IMAGE_DIRECTROY

See Also:
  Constant Field Values

### BASE_IMAGE_URL

    static final java.lang.String BASE_IMAGE_URL

See Also:
  Constant Field Values

### LAYOUT_PREFERENCE_FIXED

    static final java.lang.String LAYOUT_PREFERENCE_FIXED

See Also:
  Constant Field Values

### LAYOUT_PREFERENCE_AUTO

    static final java.lang.String LAYOUT_PREFERENCE_AUTO

See Also:
  Constant Field Values

### HTML_WRAP_TEMPLATE_TABLE

    static final java.lang.String HTML_WRAP_TEMPLATE_TABLE

  Should the top-level template table be wrapped. Only effect if the enable metadata is setting to `Boolea.TRUE`. The default value is `Boolean.FALSE`

  See Also:
    Constant Field Values

### HTML_LAYOUT_PREFERENCE

    static final java.lang.String HTML_LAYOUT_PREFERENCE

  Should the table be outed as fixed. The default value is `Boolean.FALSE`

  See Also:
    Constant Field Values

### HTML_ENABLE_AGENTSTYLE_ENGINE

    static final java.lang.String HTML_ENABLE_AGENTSTYLE_ENGINE

  Should the HTML emitter output the BIRT styles directly to the report. The default value is `Boolean.FALSE` True: means the HTML emitter will output the BIRT styles directly to the report and depends on the browser to implement the style calculation. False: means the HTML emitter will use BIRT style engine to calculate the styles and output the result to the report.

  See Also:
    Constant Field Values

### HTML_OUTPUT_MASTER_PAGE_MARGINS

    static final java.lang.String HTML_OUTPUT_MASTER_PAGE_MARGINS

  Should the HTML emitter output the master page's margins. This property is only works for the auto layout report. The fixed report will always output the master page's margins. The default value is `Boolean.FALSE` True: means the HTML emitter will output the master page's margins for auto report. False: means the HTML emitter won't output the master page's margins for auto report.

  See Also:
    Constant Field Values

### HTML_ID_NAMESPACE

    static final java.lang.String HTML_ID_NAMESPACE

  HTMLIDNamespace is used to solve the name conflict problem when embedding multiple reports into one page.

  See Also:
    Constant Field Values

### HTML_INDENT

    static final java.lang.String HTML_INDENT

  whether or not the HTML is indented. The default value is true.

  See Also:
    Constant Field Values

### METADATA_FILTER

    static final java.lang.String METADATA_FILTER

  A filter for metadata.

  See Also:
    Constant Field Values

### HTML_ENABLE_INLINE_STYLE

    static final java.lang.String HTML_ENABLE_INLINE_STYLE

  Using inline style or not. This option only works when the report is embeddable. True: Try to using the inline style to instead of style class. Fals: Try to use the style class to compress the HTML source.

  See Also:
    Constant Field Values

Method Detail

### getInstanceIDs

    java.util.List getInstanceIDs()

  Returns:
    Returns the instanceIDs.

### setInstanceIDs

    void setInstanceIDs(java.util.List instanceIDs)

  Parameters:
    `instanceIDs` - The instanceIDs to set.

### setEmbeddable

    void setEmbeddable(boolean embeddable)

  sets whether the HTML output can be embedded directly into an HTML page

  Parameters:
    `embeddable` - whether the HTML output can be embedded directly into an HTML page

### getEmbeddable

    boolean getEmbeddable()

  Returns:
    whether the output is embeddable

### setUserAgent

    void setUserAgent(java.lang.String userAgent)

  Parameters:
    `userAgent` - the user agent of the request

### getUserAgent

    java.lang.String getUserAgent()

  Returns:
    the user agent for the request

### setUrlEncoding

    void setUrlEncoding(java.lang.String encoding)

### getUrlEncoding

    java.lang.String getUrlEncoding()

  Returns:
    the user agent for the request

### setMasterPageContent

    void setMasterPageContent(boolean show)

  Set master page content.

  Parameters:
    `show` -

### getMasterPageContent

    boolean getMasterPageContent()

  Get master page content.

  Returns:

### setHtmlPagination

    void setHtmlPagination(boolean paginate)

  Set Html pagination.

  Parameters:
    `paginate` -

### getHtmlPagination

    boolean getHtmlPagination()

  Get Html pagination.

  Returns:

### setIncludeSelectionHandle

    void setIncludeSelectionHandle(boolean option)

  Deprecated. includeSelectionHandle is replaced by eanableMetadata flag.

### getIncludeSelectionHandle

    boolean getIncludeSelectionHandle()

  Deprecated. includeSelectionHandle is replaced by eanableMetadata flag.

### setHtmlRtLFlag

    void setHtmlRtLFlag(boolean flag)

  Set Html RTL flag.

  Parameters:
    `flag` -

### getHtmlRtLFlag

    boolean getHtmlRtLFlag()

  Get Html RTL flag.

  Returns:

### setHtmlTitle

    void setHtmlTitle(java.lang.String htmlTitle)

  Parameters:
    `htmlTile` -

### getHtmlTitle

    java.lang.String getHtmlTitle()

  Returns:
    the default html title

### setPageFooterFloatFlag

    void setPageFooterFloatFlag(boolean flag)

  Set page footer float flag.

  Parameters:
    `flag` -

### getPageFooterFloatFlag

    boolean getPageFooterFloatFlag()

  Get page footer float flag.

  Returns:

### setEnableMetadata

    void setEnableMetadata(boolean enableMetadata)

  Sets the flag which indicating if metadata should be output.

  Parameters:
    `enableMetadata` - the flag

### getEnableMetadata

    boolean getEnableMetadata()

  Returns:
    the enable metadata flag value.

### setDisplayFilterIcon

    void setDisplayFilterIcon(boolean displayFilterIcon)

  Sets the flag indicationg that if filter icons should be displayed.

  Parameters:
    `displayFilterIcon` - the flag

### getDisplayFilterIcon

    boolean getDisplayFilterIcon()

  Returns:
    the display filter icon flag value.

### setDisplayGroupIcon

    void setDisplayGroupIcon(boolean displayFilterIcon)

  Sets the flag indicationg that if group expand/collapse icons should be displayed.

  Parameters:
    `displayFilterIcon` - the flag

### getDisplayGroupIcon

    boolean getDisplayGroupIcon()

  Returns:
    the group expand/collapse icon flag value.

### getImageDirectory

    java.lang.String getImageDirectory()

  returns the image directory that engine stores images and charts into

  Returns:
    the image directory.

### setImageDirectory

    void setImageDirectory(java.lang.String imageDirectory)

  sets the image directory that engine stores images and charts into

  Parameters:
    `imageDirectory` - the image directory that engine stores images and charts into

### getBaseImageURL

    java.lang.String getBaseImageURL()

  returns the base url for creating image URL

  Returns:
    Rreturn the abse image url

### setBaseImageURL

    void setBaseImageURL(java.lang.String baseImageURL)

  sets the base image URL for image handling

  Parameters:
    `baseImageURL` - the base image URL

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.